function caExpL = PROCEDURE_ExperimentListBuildier_IsKPCAUseful
%
%intent: build an experiment list to compare across classifiers and features
%  for the pedestrian and car types.
%

caClsfrTyps = GetClassifierTypes;
caFtrTyps = GetFeatureTypes;
caDtFlnms = GetDataFilenames;

iExp = 1;
for iFtrTyp = 1:length(caFtrTyps);
  for iClsfrTyps = 1:length(caClsfrTyps);
     for iFlNm = 1:length(caDtFlnms);
       caExpL{iExp}.InputDataFilename = caDtFlnms{iFlNm};
       caExpL{iExp}.FeatureType = caFtrTyps{iFtrTyp};
       caExpL{iExp}.ClassifierType = caClsfrTyps{iClsfrTyps}.ClassifierName;
       caExpL{iExp}.ClassifierOptions = caClsfrTyps{iClsfrTyps}.ClassifierOptions;
       iExp = iExp + 1;
     end
  end
end

function caCT = GetClassifierTypes;
%function caCT = GetClassifierTypes;
caCT{1}.ClassifierName = 'osusvm';
caCT{1}.ClassifierOptions.KERNEL = 0;
caCT{2}.ClassifierName = 'osusvm';
caCT{2}.ClassifierOptions.KERNEL = 1;
caCT{3}.ClassifierName = 'gentleboost';
caCT{3}.ClassifierOptions.Nrounds = 20;
caCT{4}.ClassifierName = 'gentleboost';
caCT{4}.ClassifierOptions.Nrounds = 100;

function caFT = GetFeatureTypes;
caFT{1} = 'gray_pixel';
caFT{2} = 'gradient';
caFT{3} = 'KPCA_gray';
caFT{4} = 'KPCA_gradient';
caFT{5} = 'toyota';
%caFT{6} = 'C2';

function caDF = GetDataFilenames;
caDF{1} = 'AppearanceData_128x128_car_f001.mat';
caDF{2} = 'AppearanceData_128x128_car_f002.mat';
caDF{3} = 'AppearanceData_128x128_car_f003.mat';
caDF{4} = 'AppearanceData_128x128_car_f004.mat';
caDF{5} = 'AppearanceData_128x128_car_f005.mat';

